Bug 110032 - Segment violation on sendmail execution with new glibc upgrade
Segment violation on sendmail execution with new glibc upgrade
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-14 03:35 EST by Javier T
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 01:15:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Package list (12.17 KB, text/plain)
2003-11-14 03:45 EST, Javier T
no flags Details

  None (edit)
Description Javier T 2003-11-14 03:35:08 EST
Description of problem:

After last update throught rhn from glibc-2.3.2-4.80.6 to glibc-2.3.2-
4.80.8, sendmail cannot start (sendmail-8.12.8-9.80). On command:

sendmail -bd -q1

I obtains this (Spanish):

violacion de segmento.

English: segment violation.

On downgrade all works fine.

Version-Release number of selected component (if applicable):


How reproducible:

Installing new glibc upgrade packages from rhn.

Steps to Reproduce:
1.Upgrade glibc from rhn. glibc-2.3.2-4.80.6 to glibc-2.3.2-4.80.8.
2.Restart sendmail (sendmail-8.12.8-9.80)
Actual results:

Expected results:

Additional info:

On other two systems with RH8.0 this update provide no errors on 
Comment 1 Javier T 2003-11-14 03:45:08 EST
Created attachment 95964 [details]
Package list
Comment 2 Ulrich Drepper 2003-11-14 15:47:46 EST
The fact that the same code works in your other environments shows
it's something specific for this system, maybe even caused by that
system.  What did sendmail load?  Any milters?  Look at the
/proc/*/maps entry.  Run sendmail within a debugger or at least let it
create a core file and look at it.
Comment 3 Ulrich Drepper 2003-11-20 13:00:01 EST
Ping.  Do you still see the problem?  Can you run the debugger?  If it
crashes in memory handling, can you run the program under valgrind? 
If we don't get any feedback I assume this is no real problem.
Comment 4 Ulrich Drepper 2004-08-26 01:15:01 EDT
No reply in 9 months, closing.

Note You need to log in before you can comment on or make changes to this bug.